summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMykyta Holubakha <hilobakho@gmail.com>2016-09-30 01:14:32 +0300
committerPatrice Clement <monsieurp@gentoo.org>2016-10-01 22:05:49 +0200
commit1403a287f125459943403b40437a186aaa2a052f (patch)
tree3c97508b2b4ab6570bb1d2291770dcd74bab5c76
parentapp-portage/unsandbox: Fix the URI (diff)
downloadgentoo-1403a287f125459943403b40437a186aaa2a052f.tar.gz
gentoo-1403a287f125459943403b40437a186aaa2a052f.tar.bz2
gentoo-1403a287f125459943403b40437a186aaa2a052f.zip
dev-util/staruml-bin: new ebuild.
StarUML is a sophisticated software modeler. Acked-by: David Seifert <soap@gentoo.org> Closes: https://github.com/gentoo/gentoo/pull/2433 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
-rw-r--r--dev-util/staruml-bin/Manifest2
-rw-r--r--dev-util/staruml-bin/metadata.xml12
-rw-r--r--dev-util/staruml-bin/staruml-bin-2.7.0.ebuild61
-rw-r--r--licenses/StarUML-EULA26
4 files changed, 101 insertions, 0 deletions
diff --git a/dev-util/staruml-bin/Manifest b/dev-util/staruml-bin/Manifest
new file mode 100644
index 000000000000..2210c63eed0e
--- /dev/null
+++ b/dev-util/staruml-bin/Manifest
@@ -0,0 +1,2 @@
+DIST StarUML-v2.7.0-32-bit.deb 41745682 SHA256 a6728da7f6d1c05a6aca3f2681e83b14924e49c760a9c7f1d2541265260a5cf5 SHA512 c6d09d1504c7482bd6ce9224ea849cb7fa7530dad2691b283676487b67ecbb5f47e1515017de577bace4e703246edad9e75fa94f7ea9bd1c9ad47792e801bb1a WHIRLPOOL 4481d34fa4bcfb0f567c15dee81a0232bcdeecebabf860f89fbae3695baf4a8a87859ad36ade660e107471b93c64f81efd8d2cb61e92f5a356107c22f6b542b0
+DIST StarUML-v2.7.0-64-bit.deb 43560668 SHA256 9155d363266978314e74fe22c2dbf2411df591bca4a5d271f22b54ad55dc4ae5 SHA512 a651fe275e731cc626615e9ddbb1ba1a5e7ac62383ae01a7f6bb5683dc97f3795e05701bdc9717ee7140b64b3395a1ab68cacf7a12f640fa05b721fac611ea1f WHIRLPOOL 365818201529d57d2688bcb907f4cc08fd8c1e3cf4658dd77de230498eb7a647834409b773fcc6b0e620fcc6df32cc07754f68e0c948a5285b5513cc880eed68
diff --git a/dev-util/staruml-bin/metadata.xml b/dev-util/staruml-bin/metadata.xml
new file mode 100644
index 000000000000..3554bdb770b5
--- /dev/null
+++ b/dev-util/staruml-bin/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>hilobakho@gmail.com</email>
+ <name>Mykyta Holubakha</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Gentoo Proxy Maintainers Project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-util/staruml-bin/staruml-bin-2.7.0.ebuild b/dev-util/staruml-bin/staruml-bin-2.7.0.ebuild
new file mode 100644
index 000000000000..cca6bdf1d554
--- /dev/null
+++ b/dev-util/staruml-bin/staruml-bin-2.7.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit unpacker
+
+DESCRIPTION="A sophisticated software modeler"
+HOMEPAGE="http://staruml.io/"
+SRC_URI="
+ amd64? ( http://staruml.io/download/release/v${PV}/StarUML-v${PV}-64-bit.deb )
+ x86? ( http://staruml.io/download/release/v${PV}/StarUML-v${PV}-32-bit.deb )
+"
+
+LICENSE="StarUML-EULA no-source-code"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="splitdebug"
+
+RDEPEND="
+ dev-libs/atk
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/libgcrypt:11
+ dev-libs/nss
+ dev-libs/nspr
+ gnome-base/gconf
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/alsa-lib
+ net-print/cups
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:2
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrender
+ x11-libs/libX11
+ x11-libs/pango
+ virtual/libudev
+"
+
+S="${WORKDIR}"
+QA_PREBUILT="opt/staruml/Brackets-node opt/staruml/StarUML"
+
+src_unpack() {
+ unpack_deb ${A}
+}
+
+MY_PN=${PN/-bin/}
+src_install() {
+ mv opt "${ED}" || die
+ dosym /usr/lib/libudev.so /opt/${MY_PN}/libudev.so.0
+ dosym /opt/${MY_PN}/${MY_PN} /usr/bin/${MY_PN}
+ newdoc usr/share/doc/${MY_PN}/copyright LICENSE
+}
diff --git a/licenses/StarUML-EULA b/licenses/StarUML-EULA
new file mode 100644
index 000000000000..52087572c55f
--- /dev/null
+++ b/licenses/StarUML-EULA
@@ -0,0 +1,26 @@
+End User License Agreement
+The SOFTWARE PRODUCT (StarUML) is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.
+LICENSES
+StarUML is licensed as follows:
+Installation and Usage.
+
+Licenses are per user and valid for use on all supported operating systems. License keys may be used on multiple computers and operating systems, provided the license key holder is the primary user. Businesses must purchase at least as many licenses as the number of people using StarUML.
+Backup Copies.
+
+You may make copies of the license key and or StarUML for backup and archival purposes.
+DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS
+Maintenance of Copyright Notices.
+
+You must not remove or alter any copyright notices on any copy of StarUML.
+Distribution.
+
+You may not distribute or sell license keys or StarUML to third parties. Licenses will be revoked if distributed or sold to third parties.
+Rental.
+
+You may not rent, lease, or lend the license key or StarUML.
+COPYRIGHT
+All title, including but not limited to copyrights, in and to StarUML and any copies thereof are owned by MKLab.
+NO WARRANTIES
+MKLab expressly disclaims any warranty for StarUML, which is provided 'as is' without any express or implied warranty of any kind, including but not limited to any warranties of merchantability, non-infringement, or fitness of a particular purpose.
+LIMITATION OF LIABILITY
+In no event shall MKLab be liable for any damages due to use of StarUML, to the maximum extent permitted by law. This includes without limitation, lost profits, business interruption, or lost information. In no event will MKLab be liable for loss of data or for indirect, special, incidental, consequential (including lost profit), or other damages. MKLab shall have no liability with respect to the content of StarUML or any part thereof, including but not limited to errors or omissions contained therein, libel, trademark rights, business interruption, loss of privacy or the disclosure of confidential information.